import sys
import c4d

doc = c4d.documents.GetActiveDocument()
rd = doc.GetActiveRenderData()
fps = doc.GetFps()

rd[c4d.RDATA_FRAMESEQUENCE] = c4d.RDATA_FRAMESEQUENCE_MANUAL
rflags = c4d.RENDERFLAGS_EXTERNAL | c4d.RENDERFLAGS_NODOCUMENTCLONE | c4d.RENDERFLAGS_SHOWERRORS

rd[c4d.RDATA_FRAMEFROM] = c4d.BaseTime(1, fps)
rd[c4d.RDATA_FRAMETO] = c4d.BaseTime(1, fps)
rd[c4d.RDATA_FRAMESTEP] = 1

bmp = c4d.bitmaps.MultipassBitmap(800, 450, c4d.COLORMODE_RGB)

res = c4d.documents.RenderDocument(doc, rd.GetDataInstance(), bmp, rflags)

bmp.FlushAll()
del bmp

if res == c4d.RENDERRESULT_OK:
    print("Render Successful")
else:
    print("error rendering document: ")